import { Length } from 'unitsnet-js';
import { GeoPoint } from '../models';
import { GeoCurve } from '../models/geo-curve';
/**
 * Calculate the geodetic curve between two points in the world.
 * @param start starting coordinates
 * @param end ending coordinates
 * @returns The distance between the points
 */
export declare function getDistance(start: GeoPoint, end: GeoPoint): Length;
/**
 * Calculate the geodetic curve between two points in the world.
 * This is the solution to the inverse geodetic problem.
 * @param start starting coordinates
 * @param end ending coordinates
 * @returns The geodetic curve information to get from start to end
 */
export declare function getGeoPointsCurve(start: GeoPoint, end: GeoPoint): GeoCurve;
//# sourceMappingURL=curve.d.ts.map