import { Angle, Length } from 'unitsnet-js';
import { GeoPoint } from '../models';
/**
 * Calculate the destination after traveling a specified distance, and a
 * specified starting bearing, for an initial location. This is the
 * solution to the direct geodetic problem.
 * @param geoPoint: starting location.
 * @param heading: starting bearing.
 * @param distance: distance to travel
 * @returns The coordinates of the final location of the traveling.
 */
export declare function getDestinationGeoPoint(start: GeoPoint, startBearing: Angle, distance: Length): GeoPoint;
//# sourceMappingURL=destination.d.ts.map